
From: Adrian Bunk <bunk@stusta.de>

- make some needlessly global code static
- remove the unused mtrr_if_name

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/mtrr/cyrix.c   |    4 ++--
 25-akpm/arch/i386/kernel/cpu/mtrr/generic.c |    8 ++++----
 25-akpm/arch/i386/kernel/cpu/mtrr/main.c    |    6 +-----
 25-akpm/arch/i386/kernel/cpu/mtrr/mtrr.h    |    2 --
 4 files changed, 7 insertions(+), 13 deletions(-)

diff -puN arch/i386/kernel/cpu/mtrr/cyrix.c~mtrr-some-cleanups arch/i386/kernel/cpu/mtrr/cyrix.c
--- 25/arch/i386/kernel/cpu/mtrr/cyrix.c~mtrr-some-cleanups	2005-01-16 00:31:10.674056688 -0800
+++ 25-akpm/arch/i386/kernel/cpu/mtrr/cyrix.c	2005-01-16 00:31:10.683055320 -0800
@@ -218,12 +218,12 @@ typedef struct {
 	mtrr_type type;
 } arr_state_t;
 
-arr_state_t arr_state[8] __initdata = {
+static arr_state_t arr_state[8] __initdata = {
 	{0UL, 0UL, 0UL}, {0UL, 0UL, 0UL}, {0UL, 0UL, 0UL}, {0UL, 0UL, 0UL},
 	{0UL, 0UL, 0UL}, {0UL, 0UL, 0UL}, {0UL, 0UL, 0UL}, {0UL, 0UL, 0UL}
 };
 
-unsigned char ccr_state[7] __initdata = { 0, 0, 0, 0, 0, 0, 0 };
+static unsigned char ccr_state[7] __initdata = { 0, 0, 0, 0, 0, 0, 0 };
 
 static void cyrix_set_all(void)
 {
diff -puN arch/i386/kernel/cpu/mtrr/generic.c~mtrr-some-cleanups arch/i386/kernel/cpu/mtrr/generic.c
--- 25/arch/i386/kernel/cpu/mtrr/generic.c~mtrr-some-cleanups	2005-01-16 00:31:10.675056536 -0800
+++ 25-akpm/arch/i386/kernel/cpu/mtrr/generic.c	2005-01-16 00:31:10.683055320 -0800
@@ -19,7 +19,7 @@ struct mtrr_state {
 };
 
 static unsigned long smp_changes_mask;
-struct mtrr_state mtrr_state = {};
+static struct mtrr_state mtrr_state = {};
 
 
 /*  Get the MSR pair relating to a var range  */
@@ -115,8 +115,8 @@ int generic_get_free_region(unsigned lon
 	return -ENOSPC;
 }
 
-void generic_get_mtrr(unsigned int reg, unsigned long *base,
-		      unsigned int *size, mtrr_type * type)
+static void generic_get_mtrr(unsigned int reg, unsigned long *base,
+			     unsigned int *size, mtrr_type * type)
 {
 	unsigned int mask_lo, mask_hi, base_lo, base_hi;
 
@@ -383,7 +383,7 @@ int generic_validate_add_page(unsigned l
 }
 
 
-int generic_have_wrcomb(void)
+static int generic_have_wrcomb(void)
 {
 	unsigned long config, dummy;
 	rdmsr(MTRRcap_MSR, config, dummy);
diff -puN arch/i386/kernel/cpu/mtrr/main.c~mtrr-some-cleanups arch/i386/kernel/cpu/mtrr/main.c
--- 25/arch/i386/kernel/cpu/mtrr/main.c~mtrr-some-cleanups	2005-01-16 00:31:10.677056232 -0800
+++ 25-akpm/arch/i386/kernel/cpu/mtrr/main.c	2005-01-16 00:31:10.684055168 -0800
@@ -57,10 +57,6 @@ static struct mtrr_ops * mtrr_ops[X86_VE
 
 struct mtrr_ops * mtrr_if = NULL;
 
-__initdata char *mtrr_if_name[] = {
-    "none", "Intel", "AMD K6", "Cyrix ARR", "Centaur MCR"
-};
-
 static void set_mtrr(unsigned int reg, unsigned long base,
 		     unsigned long size, mtrr_type type);
 
@@ -100,7 +96,7 @@ static int have_wrcomb(void)
 }
 
 /*  This function returns the number of variable MTRRs  */
-void __init set_num_var_ranges(void)
+static void __init set_num_var_ranges(void)
 {
 	unsigned long config = 0, dummy;
 
diff -puN arch/i386/kernel/cpu/mtrr/mtrr.h~mtrr-some-cleanups arch/i386/kernel/cpu/mtrr/mtrr.h
--- 25/arch/i386/kernel/cpu/mtrr/mtrr.h~mtrr-some-cleanups	2005-01-16 00:31:10.679055928 -0800
+++ 25-akpm/arch/i386/kernel/cpu/mtrr/mtrr.h	2005-01-16 00:31:10.685055016 -0800
@@ -57,7 +57,6 @@ extern int generic_validate_add_page(uns
 
 extern struct mtrr_ops generic_mtrr_ops;
 
-extern int generic_have_wrcomb(void);
 extern int positive_have_wrcomb(void);
 
 /* library functions for processor-specific routines */
@@ -96,4 +95,3 @@ void finalize_mtrr_state(void);
 void mtrr_state_warn(void);
 char *mtrr_attrib_to_str(int x);
 
-extern char * mtrr_if_name[];
_
